## fusefile 1.2

=== Makefile ===
BINS = fusefile

default: $(BINS)

ifneq (${DEBUG},)
${BINS}: CFLAGS += -DDEBUG=1 -g
endif

${BINS}: CFLAGS += -Wall -D_FILE_OFFSET_BITS=64
fusefile: LDFLAGS = -lfuse -pthread

.INTERMEDIATE: fusefile.o
fusefile.o: fusefile.c

fusefile: fusefile.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $? $(LDFLAGS) $(TARGET_ARCH) -o $@

clean:
	rm -f $(BINS)

README.html: README.adoc
	asciidoctor $< > $@

# Building a debian package

SBINDIR = $(DESTDIR)/usr/sbin
MAN8DIR = $(DESTDIR)/usr/share/man/man8

SBINFILES = fusefile fusedisk
MAN8FILES = fusefile.8

INSTALLTARGETS = $(addprefix $(SBINDIR)/,$(SBINFILES))
INSTALLTARGETS += $(addprefix $(MAN8DIR)/,$(MAN8FILES))

$(SBINDIR)/% $(MAN8DIR)/%: %
	install -D -T $< $@

install: $(INSTALLTARGETS)

deb:
	PREFIX= INCLUDE_PREFIX=/usr dpkg-buildpackage --build=full -uc -us

## fusefile 1.0

=== debian/changelog ===
fusefile (1.0-1) unstable; urgency=medium

  * Version change for submission to debian

 -- Ralph Ronnquist <rrq@rrq.au>  Sun, 25 Jun 2023 17:39:21 +1000

fusefile (0.5.7) unstable; urgency=medium

  * Updated man page.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 25 Jun 2023 13:37:38 +1000

fusefile (0.5.6) unstable; urgency=medium

  * Added -dump function for dumping fragments including overlay table.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 21 Jun 2023 00:09:34 +1000

fusefile (0.5.5) unstable; urgency=medium

  * Updated man page.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 25 May 2023 16:01:40 +1000

fusefile (0.5.4) unstable; urgency=medium

  * Include fusedisk helper script for block mount

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 24 May 2023 19:48:53 +1000

fusefile (0.5.3) unstable; urgency=medium

  * Updated package description.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Mon, 03 Oct 2022 13:01:26 +1100

fusefile (0.5.2) unstable; urgency=medium

  * Reworked overlay with new region representaiton.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Fri, 12 Aug 2022 08:57:37 +1000

fusefile (0.5.1) unstable; urgency=medium

  * Fixes to overlay function.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 11 Aug 2022 01:40:48 +1000

fusefile (0.5) unstable; urgency=medium

  * Added overlay file option.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 09 Aug 2022 21:22:35 +1000

fusefile (0.4) unstable; urgency=medium

  * Revised into overwriting in sources without size change.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Fri, 15 Jul 2022 12:17:30 +1000

fusefile (0.3) unstable; urgency=medium

  * Added writeability variation

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 26 May 2022 19:53:05 +1000

fusefile (0.2) unstable; urgency=medium

  * Code refresh for chimaera (bullseye).

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 05 Apr 2022 19:43:49 +1000

fusefile (0.1) unstable; urgency=medium

  * Initial Release.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Mon, 11 Mar 2018 10:00:00 +1100

=== debian/control ===
Source: fusefile
Section: admin
Priority: optional
Maintainer: Ralph Ronnquist <rrq@rrq.au>
Build-Depends: debhelper-compat (= 13), libfuse-dev
Standards-Version: 4.6.2
Homepage: https://git.devuan.org/rrq/fusefile.git
Vcs-Browser: https://git.devuan.org/rrq/fusefile/src/branch/debian
Vcs-Git: https://git.devuan.org/rrq/fusefile.git -b debian
Rules-Requires-Root: no

Package: fusefile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
Description: Using FUSE to combine file fragments into a single file.
 fusefile is a FUSE "file mount" that presents a series of fragments
 of other files as a contiguous concatenation. Technically it bind
 mounts a driver on top of the filename mountpoint to provide access
 to the given file fragments as if in a single, contiguous file. The
 fusefile mount driver offers read/write access to the fused file,
 distributing written data across the given fragments or to an overlay
 file.

## fusefile 1.2

=== debian/changelog ===
fusefile (1.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:27:58 +0000

fusefile (1.2-1build1) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:08:31 +0100

fusefile (1.2-1) unstable; urgency=medium

  * Added stacked overlays
  * Added -push action, to push overlay data into source fragments
  * Corrected fragment ranges to be 64-bit (long int)
  * Allow for fragment pathnames including "/" without range appendix
  * Fix index oob in -dump function.

 -- Ralph Ronnquist <rrq@rrq.au>  Tue, 15 Aug 2023 13:28:23 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fusefile
 Section: admin
 Priority: optional
-Maintainer: Ralph Ronnquist <rrq@rrq.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ralph Ronnquist <rrq@rrq.au>
 Build-Depends: debhelper-compat (= 13), libfuse-dev
 Standards-Version: 4.6.2
 Homepage: https://git.devuan.org/rrq/fusefile.git

## fusefile 2.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 ${BINS}: CFLAGS += -Wall -D_FILE_OFFSET_BITS=64
-fusefile: LDFLAGS = -lfuse -pthread
+fusefile: LDFLAGS = -lfuse3 -pthread
 
 .INTERMEDIATE: fusefile.o
 fusefile.o: fusefile.c

=== debian/changelog ===
fusefile (2.0-1) unstable; urgency=medium

  * "Migrated" to use fuse3 (closes: #1084484)
  * Added test for asynchronous writing and reading.

 -- Ralph Ronnquist <rrq@rrq.au>  Tue, 08 Oct 2024 14:07:29 +1100

fusefile (1.3-1) unstable; urgency=medium

  * Include merge-overlay utility.

 -- Ralph Ronnquist <rrq@rrq.au>  Fri, 02 Feb 2024 16:48:39 +1100

fusefile (1.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Ralph Ronnquist <rrq@rrq.au>  Sat, 02 Sep 2023 09:48:36 +1000

=== debian/control ===
Source: fusefile
Section: admin
Priority: optional
Maintainer: Ralph Ronnquist <rrq@rrq.au>
Build-Depends: debhelper-compat (= 13), libfuse3-dev
Standards-Version: 4.7.0
Homepage: https://git.devuan.org/rrq/fusefile.git
Vcs-Browser: https://git.devuan.org/rrq/fusefile/src/branch/debian
Vcs-Git: https://git.devuan.org/rrq/fusefile.git -b debian
Rules-Requires-Root: no

Package: fusefile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse3
Description: Using FUSE to combine file fragments into a single file.
 fusefile is a FUSE "file mount" that presents a series of fragments
 of other files as a contiguous concatenation. Technically it bind
 mounts a driver on top of the filename mountpoint to provide access
 to the given file fragments as if in a single, contiguous file. The
 fusefile mount driver offers read/write access to the fused file,
 distributing written data across the given fragments or to an overlay
 file.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://git.devuan.org/rrq/fusefile \
refs/tags/([\d\.]+) master uupdate
